
  /*GLOBAL SETTINGS*/
  /*Betűtípus importálás:, amit aztán később használni lehet az ő "nevén"*/
  @import url("altedin.ttf"); /*Basic Font*/
  @import url("altedin_b.ttf"); /*Basic Font*/
  /*Global Values*/
  :root {
    --dark: #121212;
    --white: #cccccc;
    --rk: #e12d2d; /* RGB: 225, 45, 45 */
    --rk-orig: #b42d2d; /* vagy: #c84141; /* VAGY: #d24b4b; /* TÉNYLEGES EREDETI: #b42d2d; /* RGB: 180, 45, 45 - a lényeg: R 135-el nagyobb érték mint GB, amik azonosak */
    --title: "Bahnschrift", "Alte DIN 1451 Mittelschrift gepraegt";
    --font: "Bahnschrift", "Alte DIN 1451 Mittelschrift gepraegt";
    --title-spacing: 0px;
    --font-size: 18px;
    --contact-spacing: 30px;
    --crew-spacing: 10px;
    --link-mainpage: "index.html";
    --link-members: "/members.html";
    --link-projects: "https://sites.google.com/view/redkingprojects";
    --link-rkoin: "https://sites.google.com/view/rkoinwebinterface";
    --link-direct-register: "https://sites.google.com/view/rkoinwebinterface/rkoin-web-interface#h.4xifediy2m55";
  }

  /*Itt a honlap egész és a 'body' stílusát határozzuk meg egyszerre*/
  html, body {
    height: 100%;
    margin: 0;
    /*overflow: hidden;*/   /*Görgetősáv eltűntetés+Görgetés kikapcs*/
    /*overflow-x: hidden; /* Hide horizontal scrollbar + turn it off*/
    scrollbar-width: none;  /* Hide scrollbar + but no turn off*/ /* Firefox */
    -ms-overflow-style: none;  /* -||- */ /* Internet Explorer 10+ */
  }
  @media (min-device-width: 640px) { /*Kivéve telón*/
    html, body {
      /*GLOBÁLIS KICSINYÍTÉS, mert Túl nagyra lett méretezve a weboldal minden eleme*/
      zoom: 0.87;
    }
  }

  /*Itt a body stílusát határozzuk meg külön*/
  body {
    background-color: var(--rk-orig);
    color: var(--white);
    font-size: var(--font-size);
    font-family: var(--font);

    z-index: -1;
  }

  body.alt {
    background-color: var(--dark);
  }



  /*Innentől terület specifikus stílusok*/


  a:link {
    color: var(--rk);
    background-color: transparent;
    text-decoration: none;
  }

  a:visited {
    color: var(--rk);
    background-color: transparent;
    text-decoration: none;
  }

  a:hover {
    color: white;
    background-color: transparent;
    text-decoration: none;
  }

  a.alt:link {
    color: var(--white);
    background-color: transparent;
    text-decoration: none;
  }

  a.alt:visited {
    color: var(--white);
    background-color: transparent;
    text-decoration: none;
  }

  a.alt:hover {
    color: white;
    background-color: transparent;
    text-decoration: none;
  }

  a.button {
    color: var(--rk-orig);
    background-color: var(--white);
    padding: 20px;
    padding-left: 40px;
    padding-right: 40px;
    padding-bottom: 15px;
    text-decoration: none;
  }

  a.button:visited {
  }

  a.button:hover {
    background-color: white;
  }

  a.sub-button {
    color: var(--white);
    padding: 5px;
    padding-top: 10px;
    border-style: solid;
    border-width: 5px;
    text-decoration: none;
  }

  a.sub-button:visited {
    color: var(--white);
    padding: 5px;
    padding-top: 10px;
    border-style: solid;
    text-decoration: none;
  }

  a.sub-button:hover {
    color: white;
    padding: 5px;
    padding-top: 10px;
    border-style: solid;
    text-decoration: none;
    cursor: pointer;
  }

  div.header {
    z-index: 1;
  }

  div.header > div {
      display: flex;
      justify-content: center;
      background-color: var(--dark);
      padding: 10px;
      font-size: 64px;
      font-family: var(--title);
  }

  div.menu{
      display: flex;
      justify-content: center;
      font-size: 25px;
      text-align: center;
      text-transform: uppercase;
      height: 50px;
      padding-top: 40px;
      margin-left: 0px; /*Menu optikai középre igazítás*/
  }
  div.menu > ul {
    list-style: none;
  }
  div.menu > ul > li {
    margin-left: 40px;
    margin-right: 40px;
    /* width: 250px; /*div.menu font-size x 10*/
  }
  div.menu > ul > li > ul {
    background-color: var(--dark);
  }


  div.main{
    min-width: 400px;
    max-width: 1200px;
    margin: auto;
    margin-bottom: 70px;
    padding-left: 50px;
    padding-right: 50px;
  }

  h1 {
    margin-bottom: 0px;
  }

  p {
    font-size: 24px;
    margin-top: 10px;
  }

  div.delayload{
  /* onload-fadein: */
  opacity: 0;
  animation: fadeIn 2s forwards;
  animation-delay: 0.5s;
  }
  @keyframes fadeIn {
  to {
      opacity: 1;
    }
  }

  div.centerlogo {
    display: flex;
    justify-content: center;
    padding-left: 40px;
    padding-top: 100px;
    /* onload-fadein: */
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.1s;
    }
    @keyframes fadeIn {
    to {
        opacity: 1;
      }
    }

  div.motto {
    text-align: center;
    height: 400px;
    position: relative;
    /* font-style: italic; */
    margin-bottom: 200px;
    /* onload-fadein: */
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.3s;
    }
    @keyframes fadeIn {
    to {
        opacity: 1;
      }
  }

  div.motto > p {
    font-size: 40px;
    margin: 0;
    width: 100%;
    position: absolute;
    top: 45%;
    left: 50%;
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
  }

  div.crew {
    display: flex;
    flex-wrap: wrap;
    justify-content: center; /*Horizontális igazítás*/
  }

  div.crew > div {
      width: 190px;
      background-color: black;
      padding: 20px;
      margin: 10px;
  }

  div.rkoininfo {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
  }

  div.rkoininfo > div {
    text-align: left;
    font-size: 20px;
  }

  div.rkoininfo > div > span {
    font-size: 14px;
  }


  div.footer {
    font-size: 0; /*Technikai okokból muszáj parent div-nél resetelni a betűméretet, különben rejtélyes lyukak keletkeznek a honlapon*/
    z-index: 1;
    background-color: var(--dark);
  }
  div.footer > div {
    font-size: var(--font-size);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; /*Horizontális igazítás*/
    padding: 10px;
    max-width: 1100px;
    margin: auto;
    padding-left: 50px;
    padding-right: 50px;
  }
  div.footer > div > div {
    margin: 20px;
    width: 500px;
  }

  div.icons {
    display: flex;
    flex-wrap: wrap;
    justify-content: left; /*Horizontális igazítás*/
    padding-left: 5px;
    margin-top: calc(var(--contact-spacing)*-1);
  }
  div.icons > div {
    padding-right: var(--contact-spacing);
    padding-top: var(--contact-spacing);
  }

  .logo{
    position: relative;
    display: inline-block;
  }
  .logo .active {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99;
  }
  .logo:hover .active{
    display: inline;
    padding-right: var(--contact-spacing);
    padding-top: var(--contact-spacing);
  }

  div.crewicons {
    display: flex;
    flex-wrap: wrap;
    justify-content: left; /*Horizontális igazítás*/
  }
  div.crewicons > div {
    padding-right: var(--crew-spacing);
    padding-top: 5px;
  }

  .crewlogo{
    position: relative;
    display: inline-block;
  }
  .crewlogo .active {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99;
  }
  .crewlogo:hover .active{
    display: inline;
    padding-right: var(--crew-spacing);
    padding-top: 5px;
  }

  #icon{
    height: 40px;
  }

  #crewicon{
    height: 37px;
  }

  #crew{
    width: 100%;
  }

  #cssnav {
    margin: 0px 0 0 0px;
    padding: 0px 0px 0px 0px;
    font: $(tabs.font); /* Template Designer - Change Font Type, Size, Etc */
    color: $(tabs.text.color); /* Template Designer - Change Font Size */
    }

    #cssnav ul {
    background: $(tabs.background.color) $(tabs.background.gradient) repeat-x scroll 0 -800px;
    _background-image: none; /* Template Designer - Change Menu Background */
    height: 20px; /* Change Height of Menu */
    list-style: none;
    margin: 0px;
    padding: 0px;
    }

    #cssnav li {
    float: left;
    padding: 0px;
    }

    #cssnav li a {
    background: $(tabs.background.color) $(tabs.background.gradient) repeat-x scroll 0 -800px;
    _background-image: none; /* Template Designer - Change Menu Background */
    display: block;
    margin: 0px;
    font: $(tabs.font); /* Template Designer - Change Font Type, Size, Etc */
    text-decoration: none;
    }

    #cssnav > ul > li > a {
    color: $(tabs.text.color); /* Template Designer - Change Font Color */
    }

    #cssnav ul ul a {
    color: $(tabs.text.color); /* Template Designer - Change Color */
    }

    #cssnav li > a:hover, #cssnav ul li:hover {
    color: $(tabs.selected.text.color); /* Template Designer - Change Font Color on Hover */
    background-color: $(tabs.selected.background.color); /* Template Designer - Change Font Background on Hover */
    text-decoration: none;
    -webkit-transition: 0.5s 0s;
    }

    #cssnav li ul {
    background: $(tabs.background.color) $(tabs.background.gradient) repeat-x scroll 0 -800px;
    _background-image: none; /* Template Designer - Change Menu Background */
    display: none;
    height: auto;
    padding: 5px;
    margin: 0px;
    position: absolute;
    width: 100px; /* Change Width Of DropDown Menu */
    z-index:9999;
    }

    #cssnav li:hover ul {
    display: block;
    }

    #cssnav li li {
    background: $(tabs.background.color) $(tabs.background.gradient) repeat-x scroll 0 -800px;
    _background-image: none; /* Template Designer - Change Background */
    display: block;
    float: none;
    margin: 0px;
    padding: 0px;
    width: 100px; /* Change Width Of DropDown Menu */
    }

    #cssnav li:hover li a {
    background: none; /* Template Designer - Change Background of Link on Hover */
    }

    #cssnav li ul a {
    display: block;
    height: auto;
    margin: 0px;
    padding: 0px;
    text-align: left;
    }

    #cssnav li ul a:hover, #cssnav li ul li:hover > a {
    color: $(tabs.selected.text.color); /* Template Designer - Change Text Color on Hover */
    background-color: $(tabs.selected.background.color); /* Template Designer - Change Background on Hover */
    border: 0px;
    text-decoration: none;
    -webkit-transition: 0.5s 0s;
    }
